$(document).ready(function() {

sliderInit();

}); 

function sliderInit() {

$('.slider-range').each(function() {

	var my_min = Number($(this).attr('min'));
	var my_max = Number($(this).attr('max'));
	var my_step = Number($(this).attr('step'));
	var my_unit = $(this).attr('unit');
	var my_input = $(this).attr('for');

	$('#'+my_input).val((my_min+my_step) + ' ' + my_unit + ' - ' + (my_max-my_step) + ' ' + my_unit);

	$(this).slider({
		range: true,
		min: my_min,
		max: my_max,
		step: my_step,
		values: [my_min+my_step, my_max-my_step],
	    slide: function( event, ui ) {
			$('#'+my_input).val(ui.values[0] + ' ' + my_unit + ' - ' + ui.values[1] + ' ' + my_unit);
	    }
	});
});

}
